<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_geopoints_2', function (Blueprint $table) {
            $table->integer('pid', true);
            $table->point('geopoint');
//
//            $table->spatialIndex(['geopoint'], 'geopoint');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_geopoints_2');
    }
};
